Name:          gnuradio
Version:       3.10.11.0
Release:       3mamba
Summary:       GNU Radio – the Free and Open Software Radio Ecosystem
Group:         Applications/Communication
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnuradio.org/
Source:        https://github.com/gnuradio/gnuradio.git/v%{version}/gnuradio-%{version}.tar.bz2
Patch0:        gnuradio-3.10.11.0-boost-1.87.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Core
BuildRequires: libQt5Gui
BuildRequires: libQt5Widgets
BuildRequires: libalsa-devel
BuildRequires: libboost-devel
BuildRequires: libfftw-devel
BuildRequires: libfmt-devel
BuildRequires: libgcc
BuildRequires: libgmp-cxx-devel
BuildRequires: libgmp-devel
BuildRequires: libgsl-devel
BuildRequires: libgsm-devel
BuildRequires: libjack-devel
BuildRequires: libportaudio-devel
BuildRequires: libpython311-devel
BuildRequires: libqwt-devel
BuildRequires: libsdl12-compat-devel
BuildRequires: libsndfile-devel
BuildRequires: libspdlog-devel
BuildRequires: libstdc++6-devel
BuildRequires: libunwind-devel
BuildRequires: libvolk-devel
## AUTOBUILDREQ-END
BuildRequires: libvolk-devel >= 0:3.2.0-1mamba
BuildRequires: libspdlog-devel >= 0:1.15.0-1mamba
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
GNU Radio – the Free and Open Software Radio Ecosystem.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package -n python-%{name}
Group:         System/Libraries/Python
Summary:       Python bindings to %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-%{name}
This package contains the Python bindings to %{name}.

%prep
%setup -q
#-D -T
#:<< _EOF
%patch 0 -p1 -b .boost-1.87

%build
%cmake -d build \
   -DPYTHON_EXECUTABLE=%{__python3}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%dir %{_sysconfdir}/gnuradio
%dir %{_sysconfdir}/gnuradio/conf.d
%config(noreplace) %{_sysconfdir}/gnuradio/conf.d/gnuradio-runtime.conf
%config(noreplace) %{_sysconfdir}/gnuradio/conf.d/gr-audio-alsa.conf
%config(noreplace) %{_sysconfdir}/gnuradio/conf.d/gr-audio-jack.conf
%config(noreplace) %{_sysconfdir}/gnuradio/conf.d/gr-audio-oss.conf
%config(noreplace) %{_sysconfdir}/gnuradio/conf.d/gr-audio-portaudio.conf
%config(noreplace) %{_sysconfdir}/gnuradio/conf.d/gr-audio.conf
%config(noreplace) %{_sysconfdir}/gnuradio/conf.d/gr-qtgui.conf
%config(noreplace) %{_sysconfdir}/gnuradio/conf.d/00-grc-docs.conf
%config(noreplace) %{_sysconfdir}/gnuradio/conf.d/grc.conf
%config(noreplace) %{_sysconfdir}/gnuradio/conf.d/modtool.conf
%{_bindir}/gnuradio-*
%{_bindir}/gr*
%{_bindir}/polar_channel_construction
%dir %{_datadir}/gnuradio
%{_datadir}/gnuradio/*
%{_datadir}/gnuradio/.cmake-format.py
%{_mandir}/man1/*.1*

%files -n python-%{name}
%defattr(-,root,root)
%dir %{python3_sitearch}/gnuradio
%{python3_sitearch}/gnuradio/*
%dir %{python3_sitearch}/pmt
%{python3_sitearch}/pmt/*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libgnuradio-analog.so.*
%{_libdir}/libgnuradio-audio.so.*
%{_libdir}/libgnuradio-blocks.so.*
%{_libdir}/libgnuradio-channels.so.*
%{_libdir}/libgnuradio-digital.so.*
%{_libdir}/libgnuradio-dtv.so.*
%{_libdir}/libgnuradio-fec.so.*
%{_libdir}/libgnuradio-fft.so.*
%{_libdir}/libgnuradio-filter.so.*
%{_libdir}/libgnuradio-network.so.*
%{_libdir}/libgnuradio-pdu.so.*
%{_libdir}/libgnuradio-pmt.so.*
%{_libdir}/libgnuradio-qtgui.so.*
%{_libdir}/libgnuradio-runtime.so.*
%{_libdir}/libgnuradio-trellis.so.*
%{_libdir}/libgnuradio-video-sdl.so.*
%{_libdir}/libgnuradio-vocoder.so.*
%{_libdir}/libgnuradio-wavelet.so.*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/gnuradio
%{_includedir}/gnuradio/*
%dir %{_includedir}/pmt
%{_includedir}/pmt/*
%dir %{_libdir}/cmake/gnuradio
%{_libdir}/cmake/gnuradio/*.cmake
%{_libdir}/libgnuradio-analog.so
%{_libdir}/libgnuradio-audio.so
%{_libdir}/libgnuradio-blocks.so
%{_libdir}/libgnuradio-channels.so
%{_libdir}/libgnuradio-digital.so
%{_libdir}/libgnuradio-dtv.so
%{_libdir}/libgnuradio-fec.so
%{_libdir}/libgnuradio-fft.so
%{_libdir}/libgnuradio-filter.so
%{_libdir}/libgnuradio-network.so
%{_libdir}/libgnuradio-pdu.so
%{_libdir}/libgnuradio-pmt.so
%{_libdir}/libgnuradio-qtgui.so
%{_libdir}/libgnuradio-runtime.so
%{_libdir}/libgnuradio-trellis.so
%{_libdir}/libgnuradio-video-sdl.so
%{_libdir}/libgnuradio-vocoder.so
%{_libdir}/libgnuradio-wavelet.so
%{_libdir}/pkgconfig/gnuradio-*.pc
%dir %{_docdir}/gnuradio-%{version}
%dir %{_docdir}/gnuradio-%{version}/html
%{_docdir}/gnuradio-%{version}/html/*
%dir %{_docdir}/gnuradio-%{version}/xml
%{_docdir}/gnuradio-%{version}/xml/*
%{_docdir}/gnuradio-%{version}/CHANGELOG.md
%{_docdir}/gnuradio-%{version}/CONTRIBUTING.md
%{_docdir}/gnuradio-%{version}/README.*

%changelog
* Mon Feb 17 2025 Automatic Build System <autodist@mambasoft.it> 3.10.11.0-3mamba
- rebuilt by autoport with build requirements: libvolk-devel>=0:3.2.0-1mamba

* Sun Dec 22 2024 Automatic Build System <autodist@openmamba.org> 3.10.11.0-2mamba
- rebuilt by autoport with build requirements: libspdlog-devel>=0:1.15.0-1mamba

* Thu Sep 05 2024 Automatic Build System <autodist@openmamba.org> 3.10.11.0-1mamba
- automatic version update by autodist

* Mon May 27 2024 Automatic Build System <autodist@mambasoft.it> 3.10.10.0-2mamba
- rebuilt by autoport with build requirements: libspdlog-devel>=1.14.1-1mamba

* Tue Apr 23 2024 Automatic Build System <autodist@openmamba.org> 3.10.10.0-1mamba
- automatic version update by autodist

* Thu Jan 18 2024 Automatic Build System <autodist@openmamba.org> 3.10.9.2-1mamba
- automatic version update by autodist

* Thu Jan 04 2024 Automatic Build System <autodist@mambasoft.it> 3.10.9.1-1mamba
- automatic version update by autodist

* Mon Dec 25 2023 Automatic Build System <autodist@mambasoft.it> 3.10.8.0-2mamba
- rebuilt by autoport with build requirements: libvolk-devel>=3.1.0-1mamba

* Mon Oct 23 2023 Automatic Build System <autodist@mambasoft.it> 3.10.8.0-1mamba
- automatic version update by autodist

* Thu Oct 19 2023 Automatic Build System <autodist@mambasoft.it> 3.10.7.0-3mamba
- rebuilt by autoport with build requirements: libvolk-devel>=3.0.0-1mamba

* Thu Sep 14 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.10.7.0-2mamba
- rebuilt

* Sat Jul 22 2023 Automatic Build System <autodist@mambasoft.it> 3.10.7.0-1mamba
- automatic version update by autodist

* Sat Apr 01 2023 Automatic Build System <autodist@mambasoft.it> 3.10.6.0-1mamba
- automatic version update by autodist

* Thu Jan 26 2023 Automatic Build System <autodist@mambasoft.it> 3.10.5.1-1mamba
- automatic version update by autodist

* Wed Dec 21 2022 Automatic Build System <autodist@mambasoft.it> 3.10.5.0-1mamba
- automatic version update by autodist

* Sun Sep 18 2022 Automatic Build System <autodist@mambasoft.it> 3.10.4.0-1mamba
- automatic version update by autodist

* Thu Jun 23 2022 Automatic Build System <autodist@mambasoft.it> 3.10.3.0-1mamba
- automatic version update by autodist

* Fri May 06 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.10.2.0-1mamba
- package created using the webbuild interface
